Subject: [bess] [Technical Errata Reported] RFC8214 (5571)

From: RFC Errata System <[email-masked]>
Date: Mon, 10 Dec 2018 01:29:55 -0800 (PST)

The following errata report has been submitted for RFC8214,
"Virtual Private Wire Service Support in Ethernet VPN".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5571

--------------------------------------
Type: Technical
Reported by: gangadhara reddy chavva; SatishKumar N Rodd <[email-masked]>

Section: 3.1

Original Text
-------------
C If set to 1, a control word [RFC4448] MUST be present
when sending EVPN packets to this PE. It is
recommended that the control word be included in the
absence of an entropy label [RFC6790].

Corrected Text
--------------
C If set to 1, a control word [RFC4448] MUST be present
when sending EVPN packets to this PE. It is
recommended that the control word be included in the
absence of an entropy label [RFC6790]. 

For detailed explanation of the behavior of EVPN VPWS 
session based on control word bit can be referred link: 
https://tools.ietf.org/html/rfc4447#section-6.2

which explains all combinations of control word 
configurations in detailed way whic was missing in RFC8214.

Notes
-----
RFC8214 doesn't mention the cases where control word configuration between the PE's can mismatch, disabled, enabled. which will lead to ambiguity in protocol implementation.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8214 (draft-ietf-bess-evpn-vpws-14)
--------------------------------------
Title               : Virtual Private Wire Service Support in Ethernet VPN
Publication Date    : August 2017
Author(s)           : S. Boutros, A. Sajassi, S. Salam, J. Drake, J. Rabadan
Category            : PROPOSED STANDARD
Source              : BGP Enabled Services
Area                : Routing
Stream              : IETF
Verifying Party     : IESG